<?php
namespace DsbNext\Services;

class ParametersDashboardService {
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function beginTransaction() {
        $this->connection->beginTransaction();
    }
    
    public function commit() {
        $this->connection->commit();
    }
    
    public function rollback() {
      $this->connection->rollback();
    }
  
    public function insertProfile($params) {
        $query = "INSERT INTO PERFACLPAINEL 
                              (NRPERFACLPAINEL, NRPERFILACESSO, NRPAINEL, CDFILIAL, IDPADRAODASH,  NRORG) 
                      VALUES 
                              (:NRPERFACLPAINEL, :NRPERFILACESSO,  :NRPAINEL, :CDFILIAL, :IDPADRAODASH, :NRORG)";
        try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e){
            throw $e;
        };
    }
  
    public function deleteProfileAccess($params) {
        $query = "DELETE 
                    FROM PERFACLPAINEL
                   WHERE
                         NRPERFACLPAINEL = :NRPERFACLPAINEL";
        try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e){
            throw $e;
        };
    }
  
    public function rowsProfileUpdate($params) {
        $query = "UPDATE PERFACLPAINEL
                     SET IDPADRAODASH = :IDPADRAODASH
                   WHERE NRPERFACLPAINEL = :NRPERFACLPAINEL
                     AND CDFILIAL = :CDFILIAL";
        try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e){
            throw $e;
        };
    }
  
    public function insertIndicpanel($params){
        $query = 
            "INSERT INTO 
                    INDICPAINEL (NRINDICPAINEL, NRPERFACLPAINEL, NRINDICADORTF, IDVISUINDIC, NRORG)
                         VALUES (:NRINDICPAINEL, :NRPERFACLPAINEL, :NRINDICADORTF, :IDVISUINDIC, :NRORG)";
       try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e) {
            throw $e;
        };
    }
    
    public function updateIndicpanel($params) {
        $query = "UPDATE INDICPAINEL
                    SET
                        IDVISUINDIC = :IDVISUINDIC
                  WHERE
                        NRINDICPAINEL = :NRINDICPAINEL AND
                        NRORG = :NRORG";
        try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e) {
            throw $e;
        };  
    }
}